Subject: bug#10762: Dependency tracking looses libtool on OpenIndiana.

From: Mats Erik Andersson <[email-masked]>
Date: Sat, 11 Feb 2012 12:09:50 +0100

onsdag den  8 februari 2012 klockan 20:27 skrev Bob Friesenhahn detta:
> On Wed, 8 Feb 2012, Mats Erik Andersson wrote:
>
>> Hello there,
>>
>> when building libgpg-error on OpenIndiana, I observe myself,
>> as well as the autobuilder at http://hydra.nixos.org/, that
>> libtool misbehaves in the configuration step, should the
>> switch "--disable-dependency-tracking" be active.
>
> This project seems to use libtool 2.2.6, which is from 2008, so its  
> libtool is antique.
>
> Does the problem go away if you do this in the source tree?
>
>   libtoolize --copy --force
>   autoreconf
>   ./configure --disable-static --prefix=/tmp/roen \
>          --disable-dependency-tracking
>
> I just tested this on Solaris 10 with autoconf 2.68, automake 1.11.3,  
> and libtool 2.4.2 and it worked for me.

On a minimaly expanded OpenIndiana, the above steps need

    ACLOCAL=aclocal-1.10 AUTOMAKE=aclocal-1.10 automake

since the default installation ships with version 1.10 and 1.9.

Then the initial problem goes away, i.e., missing libtool, but on the other
hand the standard X-idiom is failing once executing libtool using "make".
Libtool also chokes unduly on a bogus "--prefix", so the excerpt below
excludes that switch in comparison to the initial message.

A closer inspection reveals that the libtool project is doing
well in distroying its own code: the variable ECHO is defined,
byt is never used. Instead there are numerous "$echo" in use.
Care to admit being the culprit?

Once I have patched the installed libtool with this one-liner,
then the build step is conducted successfully.

Regards,
  Mats Erik Andersson, (most working on GNU Inetutils!)

make[3]: Entering directory `/tmp/libgpg-error-1.10/src'
/bin/sh ../libtool --tag=CC   --mode=compile gcc -DHAVE_CONFIG_H -I. -I..  -DLOCALEDIR=\"/usr/local/share/locale\"    -g -O2 -c -o libgpg_error_la-init.lo `test -f 'init.c' || echo './'`init.c
../libtool: line 797: X--tag=CC: not found
../libtool[830]: libtool: ignoring unknown tag : not found [No such file or directory]
../libtool: line 797: X--mode=compile: not found
../libtool[963]: *** Warning: inferring the mode of operation is deprecated.: not found [No such file or directory]

--- libtool.orig	2012-02-11 11:58:18.666991292 +0100
+++ libtool	2012-02-11 11:59:06.029847611 +0100
@@ -159,7 +159,7 @@
 SHELL="/bin/sh"
 
 # An echo program that does not interpret backslashes.
-ECHO="/usr/gnu/bin/echo"
+echo="/usr/gnu/bin/echo"
 
 # Used to examine libraries when file_magic_cmd begins with "file".
 MAGIC_CMD=file